//
//  PinTableViewController.swift
//  SidebarMenu
//
//  Created by Catherine Dong on 11/27/15.
//  Copyright (c) 2015 AppCoda. All rights reserved.
//

import UIKit

class PinTableViewController: UITableViewController {
    
    @IBOutlet weak var close: UIBarButtonItem!
    var delegate: todayController? = nil
    
    var content = [
        ["icon": "icon", "info":"Facebook post here insightful status blah blah #thanksgiving #givethanks #cs147"],
        ["icon": "icon", "photo": "fbphotos4"],
        ["icon": "icon", "info": "It's game day yay. Beat ND. Go Stanford. Football. Yes."],
        ["icon": "cancel", "info": "Remove pinned entry."]
    ]
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        navigationController?.navigationBar.tintColor = UIColor.init(red: 139/255.0, green: 2/255.0, blue: 45/255.0, alpha: 1)
        navigationController?.navigationBar.titleTextAttributes = [
            NSForegroundColorAttributeName:UIColor.init(red: 139/255.0, green: 2/255.0, blue: 45/255.0, alpha: 1),
            NSFontAttributeName: UIFont(name: "ProximaNova-Regular", size: 17)!
        ]
    }
    
    @IBAction func closeAction(sender: AnyObject) {
        dismissViewControllerAnimated(true, completion: nil)
    }
        
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    // MARK: - Table view data source
    
    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        // Return the number of sections.
        return 1
    }
    
    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        if let img = todayImg {
            return content.count
        }
        return content.count - 1
    }
    
    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("PinCell", forIndexPath: indexPath) as! PinTableViewCell
        
        // Configure the cell...
        let cellContent = content[indexPath.row]
        if cellContent["photo"] != nil {
            cell.photo.image = UIImage(named: cellContent["photo"]!)
        } else {
            cell.info.text = cellContent["info"]
        }
        cell.icon.image = UIImage(named: cellContent["icon"]!)
        return cell
    }
    
    override func tableView(tableView: UITableView, heightForRowAtIndexPath indexPath: NSIndexPath) -> CGFloat {
        return 85
    }

    override func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
        var selectedCell = tableView.cellForRowAtIndexPath(indexPath)!
        selectedCell.contentView.backgroundColor = UIColor.init(red: 0/255.0, green: 0/255.0, blue: 0/255.0, alpha: 0.03)
        self.delegate?.selectedPin(indexPath.row)
        self.dismissViewControllerAnimated(true, completion: nil)
    }
    
    /*
    // Override to support conditional editing of the table view.
    override func tableView(tableView: UITableView, canEditRowAtIndexPath indexPath: NSIndexPath) -> Bool {
    // Return NO if you do not want the specified item to be editable.
    return true
    }
    */
    
    /*
    // Override to support editing the table view.
    override func tableView(tableView: UITableView, commitEditingStyle editingStyle: UITableViewCellEditingStyle, forRowAtIndexPath indexPath: NSIndexPath) {
    if editingStyle == .Delete {
    // Delete the row from the data source
    tableView.deleteRowsAtIndexPaths([indexPath], withRowAnimation: .Fade)
    } else if editingStyle == .Insert {
    // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }
    }
    */
    
    /*
    // Override to support rearranging the table view.
    override func tableView(tableView: UITableView, moveRowAtIndexPath fromIndexPath: NSIndexPath, toIndexPath: NSIndexPath) {
    
    }
    */
    
    /*
    // Override to support conditional rearranging of the table view.
    override func tableView(tableView: UITableView, canMoveRowAtIndexPath indexPath: NSIndexPath) -> Bool {
    // Return NO if you do not want the item to be re-orderable.
    return true
    }
    */
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
    }
    */
    
}
