//
//  PastEntryFullViewController.swift
//  SidebarMenu
//
//  Created by Catherine Dong on 11/30/15.
//  Copyright (c) 2015 AppCoda. All rights reserved.
//

import UIKit

class PastEntryFullViewController: UIViewController, UITextViewDelegate {
   
    @IBOutlet weak var body: UITextView!
    @IBOutlet weak var dateLabel: UILabel!
    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var doneButton: UIBarButtonItem!
    var pastEntryIndex: Int!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        navigationController?.navigationBar.barTintColor = UIColor.init(red: 139/255.0, green: 2/255.0, blue: 45/255.0, alpha: 1)
        navigationController?.navigationBar.tintColor = UIColor.whiteColor()
        navigationController?.navigationBar.titleTextAttributes = [
            NSForegroundColorAttributeName:UIColor.whiteColor(),
            NSFontAttributeName: UIFont(name: "ProximaNova-Regular", size: 17)!
        ]
        
        dateLabel.text = pastEntryContent[pastEntryIndex]["date"]
        dateLabel.font = UIFont(name: "RobotoSlab-Bold", size: 18)
        body.text = pastEntryContent[pastEntryIndex]["text"]
        body.font = UIFont(name: "RobotoSlab-Light", size: 15)
        body.delegate = self
        imageView.image = UIImage(named: pastEntryContent[pastEntryIndex]["image"]!)
        self.automaticallyAdjustsScrollViewInsets = false
        
        doneButton.title = ""
        doneButton.setTitleTextAttributes([NSFontAttributeName: UIFont(name: "ProximaNova-Regular", size: 15)!], forState: UIControlState.Normal)
        doneButton.action = "dismissKeyboard"
    }
    
    func dismissKeyboard() {
        body.resignFirstResponder()
        pastEntryContent[pastEntryIndex]["text"] = body.text
        doneButton.title = ""
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    func textViewDidChange(body: UITextView) {
        pastEntryContent[pastEntryIndex]["text"] = body.text
    }
    
    func textViewDidBeginEditing(body: UITextView) {
        doneButton.title = "Done"
    }
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using segue.destinationViewController.
    // Pass the selected object to the new view controller.
    }
    */
    
}
